dataset_root: /mnt/vision/data/kaust
sequence_id: GS010001
output_root: null
output_root_dirname: urpan_depth_outputs
colmap_workspace_root: null
image_subdirs:
- fixed
- panorama
image_extensions:
- .jpg
- .jpeg
- .png
- .webp
gps_csv_name: gps-fixed.csv
buildings_geojson_name: buildings.geojson
colmap_bin: colmap
cube_face_size: 1024
cube_face_fov_deg: 90.0
max_quicklook_frames: 8
sequential_overlap: 10
raycast_depth_min_m: 0.2
raycast_depth_max_m: 250.0
enu_origin_mode: first
gps_smoothing_window: 1
experimental_use_pose_prior_mapper: false
sfm_min_pose_recovery_ratio: 0.8
sim3_drop_stationary_frames: true
sim3_stationary_speed_threshold_mps: 0.5
sim3_min_baseline_m: 5.0
sim3_ransac_inlier_threshold_m: 5.0
sim3_ransac_trials: 256
sim3_huber_delta_m: 5.0
dense_coverage_min_points: 1000
dense_coverage_radius_m: 20.0
dense_mesh_min_points: 50000
dense_mesh_min_faces: 25000
dense_mesh_min_coverage_ratio: 0.2
dense_mesh_subsequence_window: 40
dense_mesh_subsequence_stride: 20
dense_mvs_faces:
- front
- right
- back
- left
dense_patch_match_temporal_window: 4
dense_patch_match_min_sparse_points: 8
dense_patch_match_depth_quantile_low: 0.02
dense_patch_match_depth_quantile_high: 0.98
dense_patch_match_depth_min_floor_m: 0.2
raycast_backend: trimesh
raycast_chunk_rows: 64
raycast_write_depth_exr: false
raycast_write_confidence_exr: false
raycast_write_mask_png: false
confidence_support_count_scale: 8.0
confidence_reproj_err_px_scale: 1.5
confidence_depth_dispersion_rel_scale: 0.05
confidence_mesh_backend_weight: 1.0
confidence_fallback_backend_weight: 0.7
qc_min_mean_confidence: 0.25
qc_min_valid_ratio: 0.15
qc_max_seam_median_abs_diff_m: 2.0
qc_max_reprojection_median_abs_rel: 0.25
qc_reprojection_confidence_threshold: 0.35
qc_max_fallback_hit_ratio: 0.5
qc_max_no_hit_ratio: 0.75
qc_gis_warn_abs_err_m: 15.0
qc_min_frames_for_metrics: 2
qc_fail_sequence_mean_valid_ratio: 0.01
pilot_sequence_only: true
log_level: INFO
